/********************* DRAG AND DROP FOR TAG EDITORS ***********************/

/***************************** Required styles *****************************/

/**
 * For the correct positioning of the placeholder element, the dnd-list and
 * it's children must have position: relative
 */
.draggable ul[dnd-list],
.draggable ul[dnd-list] > li {
    position: relative;
}

/***************************** Dropzone Styling *****************************/

/**
 * The dnd-list should always have a min-height,
 * otherwise you can't drop to it once it's empty
 */
.draggable.batch-tag ul[dnd-list] {
    min-height: 34px;
    margin: 0;
    padding-left: 0;
}

.draggable.tag ul[dnd-list] {
    min-height: 38px;
    margin: 0;
}

/**
 * The dnd-lists's child elements currently MUST have
 * position: relative. Otherwise we can not determine
 * whether the mouse pointer is in the upper or lower
 * half of the element we are dragging over. In other
 * browsers we can use event.offsetY for this.
 */
.draggable li {
    display: block;
}

.draggable.batch-tag li {
    width: 70%;
    cursor: move;
}

/**
 * Reduce opacity of elements during the drag operation. This allows the user
 * to see where he is dropping his element, even if the element is huge. The
 * .dndDragging class is automatically set during the drag operation.
 */
.draggable .dndDragging {
    opacity: 0.7;
}

/**
 * The dndDraggingSource class will be applied to the source element of a drag
 * operation. It makes sense to hide it to give the user the feeling that he's
 * actually moving it. Note that the source element has also .dndDragging class.
 */
.draggable .dndDraggingSource {
    display: none;
}

/**
 * An element with .dndPlaceholder class will be added as child of the dnd-list
 * while the user is dragging over it.
 */
.draggable.batch-tag .dndPlaceholder {
    background-color: #ddd !important;
    min-height: 42px;
    display: block;
    position: relative;
}

.draggable.tag .dndPlaceholder {
    background-color: #ddd !important;
    min-height: 38px;
    display: block;
    position: relative;
    width: 100%;
}

/***************************** Element type specific styles *****************************/

.draggable .itemlist > li {
    float: left;
    cursor: move;
}

.draggable .container-element {
    margin: 10px;
}

.sort-handle{
    cursor: move;
}

.batch-tag .sort-handle{
    margin: 0 5px 0 0;
}

/********************************* UPLOADER ********************************/
.my-drop-zone{
    border: dashed 3px lightgray;
    border-radius: 6px;
    font-size: 1.2em;
    padding: 38px 30px 0;
    margin: 0;
    height: 105px;
}

.nv-file-over{
    border: dashed 3px #73CAFD;
    background-color: #fff;
    -webkit-animation: pulsate 1s ease-out;
    -webkit-animation-iteration-count: infinite;
}

@-webkit-keyframes pulsate {
    0% {border-color: #73CAFD;}
    50% {border-color: #22ADFF;}
    100% {border-color: #A0DCFF}
}

.uploader-queue{
    margin-top: 20px;
}
